const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_8 = z.x;
    st7_global_2d_to_2d_local = z.x # st7;
    fabsl(z.z);
    v1_1a = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v3_1c = v1_1a / 256 & 65;
    z.x = z.x & -0x10000 | v1_1a & -0xff01 | 256 * v3_1c;
    if v3_1c != 0:;
        pass;
    v1_25 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+25;
    z.x = z.x & -0x10000 | v1_25 & -0xff01 | v1_25 / 2 & 0x7f00;
    v3_37 = st7_global_2d_to_2d_local * st7_global_2d_to_2d_local # bp+37;
    *v0_8 = j.x;
    v4_59 = sqrtl(2 * v3_37) * st7_global_2d_to_2d_local * (1.0 - v3_37 / arg1[56]) # bp+59;
    v7_5f = 2 * v4_59 * v4_59 + j.z;
    *z.z = v7_5f;
    *z.y = 2 * v7_5f * *((arg1[48] - 16)) + j.y;
    return z.x;


	}